Page MenuHomePhabricator

[Msan] Make the pthread_getattr_np_deadlock.cc test Linux-specific
AcceptedPublic

Authored by kutuzov.viktor.84 on May 7 2015, 5:23 AM.

Details

Diff Detail

Event Timeline

kutuzov.viktor.84 retitled this revision from to [Msan] Fix the pthread_getattr_np_deadlock.cc to build and pass on FreeBSD.
kutuzov.viktor.84 updated this object.
kutuzov.viktor.84 edited the test plan for this revision. (Show Details)
kutuzov.viktor.84 added subscribers: Unknown Object (MLST), emaste.
eugenis added inline comments.May 7 2015, 9:49 AM
test/msan/pthread_getattr_np_deadlock.cc
1

#ifdef FreeBSD

The point of the test is to have the first memory allocation in a thread to happen inside pthread_getattr_np.

test/msan/pthread_getattr_np_deadlock.cc
1

It ends up with segfault without the pthread_attr_init() call on FreeBSD. Should we just XFAIL this test?

eugenis edited edge metadata.May 8 2015, 9:18 AM

XFAIL sounds good, or just move it to Linux.

kutuzov.viktor.84 retitled this revision from [Msan] Fix the pthread_getattr_np_deadlock.cc to build and pass on FreeBSD to [Msan] Make the pthread_getattr_np_deadlock.cc test Linux-specific.
kutuzov.viktor.84 edited edge metadata.

Updated.

eugenis accepted this revision.May 11 2015, 9:36 AM
eugenis edited edge metadata.

LGTM

This revision is now accepted and ready to land.May 11 2015, 9:36 AM

Looks like patch was not committed.